# Class OriginalUrl

A class intended to be used together with ApplicationState which allows the original URL from before the authentication redirects to be restored.

##### Index

### Constructors

constructor

### Methods

restoreOriginalUrl
toJSON
fromJSON

## Constructors

### constructor

- new OriginalUrl(url: string): OriginalUrl

  #### Parameters

  - url: string

  #### Returns OriginalUrl

## Methods

### restoreOriginalUrl

- restoreOriginalUrl(history?: History): void

  Replaces the current URL with the value stored in of OriginalURL

  #### Parameters

  - `Optional` history: History

  #### Returns void

### toJSON

- toJSON(): string

  #### Returns string

### `Static` fromJSON

- fromJSON(jsonString: string): OriginalUrl

  #### Parameters

  - jsonString: string

  #### Returns OriginalUrl